require "core"
require "dbc_file"

class SpellItemEnchantment < DBCFile
  # Field Info
  # 0	ID 	Integer
  # 1 	type1 	Integer 	Enchantment Type of effect 1
  # 2 	type2 	Integer 	Enchantment Type of effect 2
  # 3 	type3 	Integer 	Enchantment Type of effect 3
  # 4 	amount1 	Integer 	Amount of damage/armor/apply/spell for effect 1
  # 5 	amount2 	Integer 	Amount of damage/armor/apply/spell for effect 2
  # 6 	amount3 	Integer 	Amount of damage/armor/apply/spell for effect 3
  # 7 	dupe1 	Integer 	Unknown, seems to duplicate amount1 (Theory: Perhaps a range, from amount1 to dupe1)
  # 8 	dupe2 	Integer 	Unknown, seems to duplicate amount2 (Theory: Perhaps a range, from amount2 to dupe2)
  # 9 	dupe3 	Integer 	Unknown, seems to duplicate amount3 (Theory: Perhaps a range, from amount3 to dupe3)
  # 10 	iRefID_Spell_1 or Stat Types_1 	Integer 	if type1 == 5, then Stat Types, else Spell.dbc
  # 11 	iRefID_Spell_2 or Stat Types_2 	Integer 	if type2 == 5, then Stat Types, else Spell.dbc
  # 12 	iRefID_Spell_3 or Stat Types_3 	Integer 	if type3 == 5, then Stat Types, else Spell.dbc
  # 13 	sRefName 	String 	The name of the enchantment
  # 14 	Localization 	String 	
  # 15 	iRefID_ItemVisuals 	Integer 	The glow to add to the items that has this enchant
  # 16 	Unknown 	Integer
  def initialize(path)
      begin
        super("#{path}#{File::SEPARATOR}SpellItemEnchantment.dbc","iiiiiiiiiiisiiiiiiiiiiiii")
      rescue Exception => e
        puts e
      end
  end
end

class Spell < DBCFile
  def initialize(path)
    super("#{path}#{File::SEPARATOR}Spell.dbc","isissiiifiiiiiiiiiiiiiiii")
  end
end


x = SpellItemEnchantment.new(ARGV[0])
sp = Spell.new(ARGV[0])
spl = {}
sp.each do |s|
  puts s.inspect unless s[3].empty?
end